Ga naar hoofdinhoud

API voor tekstvertaling

Vertaal tekst met de GPT Translator API.

Endpoint​

POST https://api.gpttranslator.co/v1/translation/text-translation/api

Authenticatie​

Voeg je API-sleutel toe aan de requestheaders:

x-api-key: YOUR_API_KEY
Content-Type: application/json

Request body​

Verplichte velden:

  • text string: brontekst om te vertalen
  • sourceLang string: code van de brontaal
  • targetLang string: code van de doeltaal
  • model string: naam van het vertaalmodel

Optionele velden:

  • domain string: vakgebied
  • writingStyle string: voorkeur voor schrijfstijl
  • tone string: voorkeur voor toon
  • customPrompt string: eigen vertaalinstructies

Taalcodes worden apart beschreven in Ondersteunde talen. Ondersteunde modellen worden beschreven in Ondersteunde modellen.

Validatieregels​

  • text: verplicht. Mag niet leeg zijn.
  • sourceLang, targetLang: moeten overeenkomen met ^[a-zA-Z]+(-[a-zA-Z]+)?$, minimaal 2 en maximaal 11 tekens. Moet een code uit Ondersteunde talen zijn.
  • model: moet een van de waarden uit Ondersteunde modellen zijn.

Voorbeelden​

cURL​

curl --location 'https://api.gpttranslator.co/v1/translation/text-translation/api' \
--header 'x-api-key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"text": "hello world",
"sourceLang": "en",
"targetLang": "fr",
"model": "gpt-4.1-mini-2025-04-14"
}'

JavaScript​

const response = await fetch(
"https://api.gpttranslator.co/v1/translation/text-translation/api",
{
method: "POST",
headers: {
"x-api-key": "YOUR_API_KEY",
"Content-Type": "application/json",
},
body: JSON.stringify({
text: "hello world",
sourceLang: "en",
targetLang: "fr",
model: "gpt-4.1-mini-2025-04-14",
}),
},
);

const data = await response.json();
console.log(data);

Python​

import requests

url = "https://api.gpttranslator.co/v1/translation/text-translation/api"
headers = {
"x-api-key": "YOUR_API_KEY",
"Content-Type": "application/json"
}
payload = {
"text": "hello world",
"sourceLang": "en",
"targetLang": "fr",
"model": "gpt-4.1-mini-2025-04-14"
}

response = requests.post(url, headers=headers, json=payload)
print(response.json())

Antwoordtypen​

Geslaagd 200​

{
"message": "Text translation completed successfully",
"error": null,
"data": {
"translatedText": "bonjour le monde",
"originalText": "hello world",
"totalWords": 2,
"isRTL": false,
"tokensConsumed": 3
},
"statusCode": 200
}

Validatiefout van het verzoek 400​

Fouten van de validatiemiddleware worden in dit formaat geretourneerd:

{
"error": "Invalid source language. Please select a supported language."
}

Andere mogelijke validatiefouten:

  • Invalid target language. Please select a supported language.
  • Invalid model type. Please enter a valid model type e.g. ...
  • Text cannot be empty.
  • Text is required.

API-sleutel ontbreekt/ongeldige header 401​

{
"message": "Invalid api key",
"error": "Invalid api key",
"statusCode": 401,
"data": null
}

Fouten met API-sleutel of gebruikersconfiguratie 400​

Ongeldige sleutel in de database:

{
"message": "Invalid api key",
"error": "Invalid api key",
"statusCode": 400,
"data": null
}

Gebruiker niet actief:

{
"message": "User not found or user is not active",
"error": "User not found or user is not active",
"statusCode": 400,
"data": null
}

Organisatie ontbreekt:

{
"message": "Organization Id not found for the user",
"error": "Organization Id not found for the user",
"statusCode": 400,
"data": null
}

Abonnementsbeperking 402​

{
"message": "only subscribed users are allowed to use this model",
"error": "only subscribed users are allowed to use this model",
"data": null,
"statusCode": 402
}

Tokenlimiet bereikt 402​

{
"message": "You have reached the limit of words for translation. Please upgrade your plan to continue using this feature.",
"error": "You have reached the limit of words for translation. Please upgrade your plan to continue using this feature.",
"data": {
"requiredTokens": 123,
"tokens": 45
},
"statusCode": 402
}

Verwerkings-/serverfout 500​

{
"message": "Error in text translation for api",
"error": "Detailed server error message",
"data": null,
"statusCode": 500
}